[arch-commits] Commit in gnash-gtk/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu May 14 11:04:09 EDT 2009


    Date: Thursday, May 14, 2009 @ 11:04:08
  Author: eric
Revision: 39268

upgpkg: gnash-gtk 0.8.5-2
    Switched to gstreamer instead of ffmpeg (close FS#13818 and FS#14115), Enabled speex support, Fixed png configure option

Modified:
  gnash-gtk/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-14 14:41:24 UTC (rev 39267)
+++ PKGBUILD	2009-05-14 15:04:08 UTC (rev 39268)
@@ -2,19 +2,19 @@
 
 pkgname=gnash-gtk
 pkgver=0.8.5
-pkgrel=1
-pkgdesc='A GNU Flash movie player (gtk)'
+pkgrel=2
+pkgdesc="A GNU Flash movie player (gtk)"
 arch=('i686' 'x86_64')
-url='http://www.gnu.org/software/gnash/'
-license=("GPL3")
+url="http://www.gnu.org/software/gnash/"
+license=('GPL3')
 depends=("gnash-common=$pkgver" 'gtk2' 'gtkglext' 'libxmu')
 makedepends=('pkgconfig')
 options=('!libtool' '!emptydirs')
-source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
+source=(http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2)
 md5sums=('366f703c2eb1747e4109602b75439ff4')
 
 build() {
-	cd $srcdir/gnash-$pkgver
+	cd "$srcdir/gnash-$pkgver"
 
 	./configure --prefix=/usr \
 		--sysconfdir=/etc \
@@ -24,17 +24,18 @@
 		--enable-renderer=agg \
 		--enable-z \
 		--enable-jpeg \
-		--enable-libpng \
+		--enable-png \
 		--enable-gif \
+		--enable-speex \
 		--enable-fontconfig \
 		--enable-Xft \
 		--enable-expat \
-		--enable-ffmpeg \
-		--enable-media=ffmpeg || return 1
+		--enable-gstreamer \
+		--enable-media=gst || return 1
 
 	make || return 1
-	make DESTDIR=$pkgdir install install-plugin || return 1
-	rm -rf $pkgdir/usr/{lib/gnash,share}
-	rm -f $pkgdir/usr/bin/{gnash,gprocessor,dumpshm,soldumper,flvdumper}
-	rm -rf $pkgdir/etc
+	make DESTDIR="$pkgdir" install install-plugin || return 1
+	rm -rf "$pkgdir"/usr/{lib/gnash,share}
+	rm -f "$pkgdir"/usr/bin/{gnash,gprocessor,dumpshm,soldumper,flvdumper}
+	rm -rf "$pkgdir/etc"
 }



More information about the arch-commits mailing list